Bug 131921 - s-c-packages reports CD error but terminal says /usr/sbin/javaconfig is the problem
s-c-packages reports CD error but terminal says /usr/sbin/javaconfig is the p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 16:24 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-05 00:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-09-06 16:24:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Used anaconda to build fairly minimal FC2 system on disk.  Verified it
works, dual-boot, etc.  Run system-config-packages to beef it up to
workstation level.

After quite a few CD swaps (subject of another bug, certainly) I begin
getting errors that CD #1 could not be mounted.  Repeated remounts
don't help, and ls /mnt/cdrom indicates that disk 1 is there and just
fine.  The package being installed is jakarta-regexp-1.2-15.i386.rpm,
and I can see this file in the RPMS directory.  At this point, I'm
realizing it's not a CD problem, but "something else". 

After giving up and cancelling, I notice a number of error messages in
the shell that was running system-config-packages, e.g.

/var/tmp/rpm-tmp.24935: line 2: /usr/sbin/javaconfig: No such file or
directory
error: %post(ant-core-1.5.2-26) scriptlet failed, exit status 127
/var/tmp/rpm-tmp.40236: line 2: /usr/sbin/javaconfig: No such file or
directory
error: %post(bcel-5.0-13) scriptlet failed, exit status 127
/var/tmp/rpm-tmp.94863: line 2: /usr/sbin/javaconfig: No such file or
directory
error: %post(commons-logging-1.0.2-15) scriptlet failed, exit status 127
/var/tmp/rpm-tmp.51649: line 2: /usr/sbin/javaconfig: No such file or
directory
error: %post(jaf-20030319-4) scriptlet failed, exit status 127


My assumption is that you have some bugs here:

1.  For some reason, the collection of packages I've installed is not
properly creating the directory /usr/sbin/javaconf, and this is is
causing certain packages to fail to install.

2.  The bug is either misreported, or misinterpreted, such that you're
generating a bogus error message.  Obviously, my CD is fine.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.  Boot a minimal installation
2.  Run system-config-packages and add a bunch of worstation tools
3.  Swap disks for a while, until error pops up
    

Additional info:
Comment 1 Jeremy Katz 2004-09-07 14:12:39 EDT
The first is due to bugs in packages... for the second, are there any
errors on the console related to ounting and unmounting cds?
Comment 2 Andrew D. Stadler 2004-09-09 18:02:37 EDT
I was able to reproduce the problem by removing and reinstalling "ant"
from my FC2 CD's.  There were no messages re mounting or unmounting. 
Here is the entire log *after* the initial long list of startup messages.

* using jakarta-regexp-0:1.2-15.i386 to satisfy jakarta-regexp-1.2-15
* using javamail-0:20031006-4.i386 to satisfy javamail-20031006-4
* using junit-0:3.8.1-4.i386 to satisfy junit-3.8.1-4
* using xerces-j-0:2.2.1-16.i386 to satisfy lib-javax-xml-parsers-2.2.1.so
* using xalan-j-0:2.4.1-14.i386 to satisfy
lib-javax-xml-transform-2.4.1.so
* using libgcj34-0:3.4.0-1.i386 to satisfy libgcj.so.5
* using redhat-java-rpm-scripts-0:1.0.3-2.noarch to satisfy
redhat-java-rpm-scripts-1.0.2-2
/var/tmp/rpm-tmp.32281: line 2: /usr/sbin/javaconfig: No such file or
directory
error: %post(jakarta-regexp-1.2-15) scriptlet failed, exit status 127
[
Comment 3 Matthew Miller 2005-04-26 12:08:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Andrew D. Stadler 2005-05-04 20:22:03 EDT
I was unable to reproduce this in FC3 because I could not locate 'ant' or
'jakarta' when I ran system-config-packages.  If they have been removed from
FC3, then this bug is no longer reproducible.  If they are there but I just
couldn't find them, I will be happy to try again.
Comment 5 Matthew Miller 2005-05-05 00:03:53 EDT
Yeah, they're gone.

Note You need to log in before you can comment on or make changes to this bug.